import bpy


class OBJECT_OT_splitsmooth(bpy.types.Operator):
    bl_idname="object.splitsmooth"
    bl_label="splitsmooth"
    @classmethod
    def poll(self, context):
        return (context.active_object != None)
    def execute(self, context):
        modk = context.object.modifiers.keys()
        if 'EdgeSplit' not in modk:
            bpy.ops.object.modifier_add(type='EDGE_SPLIT')
        context.object.modifiers['EdgeSplit'].use_edge_angle = False
        if 'Smooth' not in modk:
            bpy.ops.object.modifier_add(type='SMOOTH')
        return {'FINISHED'}


def register():
    bpy.utils.register_class(OBJECT_OT_splitsmooth)

def unregister():
    bpy.utils.unregister_class(OBJECT_OT_splitsmooth)

if __name__ == "__main__":
    register()

